Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046635
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2021-05-12 11:342021-11-23 13:16
Reportersalvador_campanellaView Statuspublic 
Assigned Todavidverrier 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toguilleaer
Regression introduced in release
Summary

0046635: Counted quantity functionality is not present in AWO anymore

DescriptionCounted quantity functionality is not present in AWO anymore
Steps To ReproduceThe theoretical count is present but not the Counted Quantity
http://wiki.openbravo.com/wiki/Modules:Advanced_Warehouse_Operations/Inventory_Count#Inventory_Count_UI [^]
TagsNo tags attached.
Attached Filespng file icon Captura.PNG [^] (67,643 bytes) 2021-05-12 11:34

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0128676)
hgbot (developer)
2021-05-26 15:35

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/22 [^]
(0128802)
hgbot (developer)
2021-05-31 08:37

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: 068ba99e0475ea4d8262ac94f0e32d0d449c38c2
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-05-25T15:49:52-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/068ba99e0475ea4d8262ac94f0e32d0d449c38c2 [^]

Fixed BUG-46635: If "Allow Blind Inventory Count" preference is true, the counted values must be equals to the theoretical count

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/inventorycount/obawo-inventorycount-model.js
---
(0128803)
hgbot (developer)
2021-05-31 08:37

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/22 [^]
(0129751)
hgbot (developer)
2021-06-24 03:17

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/24 [^]
(0129948)
hgbot (developer)
2021-06-29 15:00

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: a18e510a1e40630092ace8da91cc334c3998b9a2
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-06-23T10:44:21-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/a18e510a1e40630092ace8da91cc334c3998b9a2 [^]

Related to ISSUE-46635: If "Allow Blind Inventory Count" preference is true, the counted values must be equals to the theoretical count

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/inventorycount/obawo-inventorycount-view.js
---
(0129949)
hgbot (developer)
2021-06-29 15:00

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/24 [^]
(0131029)
hgbot (developer)
2021-08-06 19:12

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/27 [^]
(0131194)
hgbot (developer)
2021-08-19 06:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: 34317f1088a81518911c57ba653ebf12a0ef2aee
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-08-05T15:54:17-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/34317f1088a81518911c57ba653ebf12a0ef2aee [^]

Related to ISSUE-46635: If "Allow Blind Inventory Count" preference is true, the counted values must be equals to the theoretical count

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/inventorycount/obawo-inventorycount-view.js
---
(0131195)
hgbot (developer)
2021-08-19 06:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/27 [^]
(0132160)
Sergio_Gomez (reporter)
2021-10-05 10:29

After applying the fixes, the following errors were found:

-When loading the count list in AWO (menu, count, select stock, select storage bin, OK) the lines and quantities of the products are loaded. Visually, the confirmed quantity is the theoretical quantity, but if the inventory is confirmed, everything is set to 0.

-When reloading the count list in AWO (menu, count, select stock, select storage bin, OK). Pressing above a line quantity opens the popup with the numeric keypad. If the quantity is changed there, the OK is pressed and the inventory is confirmed, then that line is set to stock = 0. On the other hand, if the new quantity is modified and accepted twice before confirming the inventory, the quantity updates successfully.
(0132163)
Sergio_Gomez (reporter)
2021-10-05 10:30
edited on: 2021-10-05 10:31

Support ticket: 26900 (OBPS)

(0133274)
davidverrier (developer)
2021-11-23 10:50
edited on: 2021-11-23 10:51

https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/36 [^]

(0133290)
hgbot (developer)
2021-11-23 13:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: 8a944c74fde4206d89f2306470d37e8a79e5989e
Author: David Verrier <david.verrier@openbravo.com>
Date: 2021-11-23T12:15:33+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/8a944c74fde4206d89f2306470d37e8a79e5989e [^]

ISSUE-46635: Allow line to be updated before updating it

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/inventorycount/obawo-inventorycount-view.js
---
(0133291)
guilleaer (developer)
2021-11-23 13:16

https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/8a944c74fde4206d89f2306470d37e8a79e5989e [^]
(0133292)
guilleaer (developer)
2021-11-23 13:16

tested and verified

https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/8a944c74fde4206d89f2306470d37e8a79e5989e [^]

- Issue History
Date Modified Username Field Change
2021-05-12 11:34 salvador_campanella New Issue
2021-05-12 11:34 salvador_campanella Assigned To => Triage Finance
2021-05-12 11:34 salvador_campanella File Added: Captura.PNG
2021-05-12 11:34 salvador_campanella Resolution time => 1622584800
2021-05-13 18:45 vmromanos Assigned To Triage Finance => Retail
2021-05-19 22:16 rqueralta Assigned To Retail => rqueralta
2021-05-25 22:43 rqueralta Status new => scheduled
2021-05-26 15:35 hgbot Note Added: 0128676
2021-05-31 08:37 hgbot Resolution open => fixed
2021-05-31 08:37 hgbot Status scheduled => closed
2021-05-31 08:37 hgbot Note Added: 0128802
2021-05-31 08:37 hgbot Note Added: 0128803
2021-06-24 03:17 hgbot Note Added: 0129751
2021-06-29 15:00 hgbot Note Added: 0129948
2021-06-29 15:00 hgbot Note Added: 0129949
2021-08-06 19:12 hgbot Note Added: 0131029
2021-08-19 06:57 hgbot Note Added: 0131194
2021-08-19 06:57 hgbot Note Added: 0131195
2021-10-05 10:29 Sergio_Gomez Assigned To rqueralta =>
2021-10-05 10:29 Sergio_Gomez Note Added: 0132160
2021-10-05 10:29 Sergio_Gomez Status closed => new
2021-10-05 10:29 Sergio_Gomez Resolution fixed => open
2021-10-05 10:30 Sergio_Gomez Note Added: 0132163
2021-10-05 10:31 Sergio_Gomez Note Edited: 0132163 View Revisions
2021-11-09 11:56 marvintm Assigned To => mtaal
2021-11-22 11:53 vmromanos Status new => scheduled
2021-11-22 11:53 vmromanos Assigned To mtaal => davidverrier
2021-11-23 10:50 davidverrier Note Added: 0133274
2021-11-23 10:51 davidverrier Note Edited: 0133274 View Revisions
2021-11-23 13:15 hgbot Note Added: 0133290
2021-11-23 13:16 guilleaer Note Added: 0133291
2021-11-23 13:16 guilleaer Status scheduled => resolved
2021-11-23 13:16 guilleaer Resolution open => fixed
2021-11-23 13:16 guilleaer Review Assigned To => guilleaer
2021-11-23 13:16 guilleaer Note Added: 0133292
2021-11-23 13:16 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker